Bank Account Details

Overview

In order to retrieve account details, you will first need to have a user successfully complete the bank authentication flow. You will also need to have the user's connectionid to retrieve bank account details.

Retrieve an Account's Details

HTTP Request

Sandbox - GET [https://api.sandbox.aerosync.com/v2/accounts/{{connectionId}}

Production - GET [http://api.aerosync.com/v2/accounts/{{connectionId}}

Request Parameters

ParameterRequired?TypeDescription
connectionIdYesStringAerosync-specific connectionId received from the SDK onSuccess

Request and Response

GET http://api.sandbox.aerosync.com/v2/accounts/{{connectionid}} 
Authorization: Bearer {{token}}

{
    "status": "success",
    "statusCode": 200,
    "account": {
        "accountNickname": "Aerosync Test Bank",
        "accountNumber": "00100000987654321",
        "routingNumber": "000000111",
        "accountNumberDisplay": "2901",
        "accountNumberType": "Tokenized",
        "accountType": "CHECKING",
        "bankName": "Chase",
				"institutionName": "Chase",
		    "institutionUuid": "253018d1-578b-4c79-bb85-48b666bbd6e0",
        "canFetchBalance": true,
        "connectionMethod": 6,
        "connectionStatus": "CONNECTED",
        "connectionExpiry": "2026-01-02T15:47:48Z"
    }
}

Response Fields

Field

Description

Data Type

Example

Available Options

accountNickname

The user-defined or bank-defined name for the account

String

Aerosync Test Bank

n/a

accountNumber

The full, sensitive bank account number used for transactions

String

00100000987654321

n/a

routingNumber

The 9-digit code identifying the specific financial institution in the US

String

000000111

n/a

accountNumberDisplay

A masked or partial version of the account number (usually the last 4 digits) for safe display in UI

String

2901

n/a

accountNumberType

Describes the format of the accountNumber (e.g., "Tokenized" means the number is a secure proxy rather than the raw digits)

String

Tokenized

Tokenized, Non-tokenized

accountType

The category of the financial account

String

checking

checking, savings

bankName

Old identifier, user institutionName going forward
The formal name of the institution where the account is held

String

Chase

n/a

institutionName

The formal name of the institution where the account is held

String

Chase

n/a

institutionUuId

The unique Id that represents the institution

String

253018d1-578b-4c79-bb85-48b666bbd6e0

n/a

canFetchBalance

A boolean (true/false) indicating if the API has permission to pull the current dollar balance

Boolean

true

true, false

connectionMethod

An internal integer code representing how data was retrieved. Only used for support inquiries

String

6

1, 2, 3, 4, 5, 6

connectionStatus

The current state of the link between Aerosync and the bank

String

Connected

connected, failure

connectionExpiry

An ISO 8601 timestamp showing when the current authorization between Aerosync and the bank for this account is expected to expire

String

2026-01-02T15:47:48Z

n/a